### Method

# GLib BookmarkFile set_description

since: 2.12

#### Declaration

    void
    g_bookmark_file_set_description (
      GBookmarkFile* bookmark,
      const gchar* uri,
      const gchar* description
    )

#### Description

Sets `description` as the description of the bookmark for `uri`.

If `uri` is `NULL`, the description of `bookmark` is set.

If a bookmark for `uri` cannot be found then it is created.

Available since: 2.12

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.